Subject: Re: [PATCH 3/3] Makefile: add commented out 's for Emacs here, too

From: Markus Heidelberg <[email-masked]>
Date: Sun, 31 May 2009 00:01:43 +0200

Junio C Hamano, 30.05.2009:
> Markus Heidelberg <[email-masked]> writes:
> 
> >> +# unconfuse Emacs: '
> >> +
> >> +# The above comment is in case there is an odd number of _SQ
> >> +# definitions above, since they seem to confuse Emacs. If there is an
> >> +# even number of such definitions, it does no harm, since emacs
> >> +# doesn't recognize string delimiters inside recognized comments.
> > ...
> > I think this is way too much comment and would prefer none at all. I
> > also would remove the global 4-line comment.
> 
> I personally do not like contaminating our source files with this kind of
> magic crufts just to please broken tools [...]

Neither do I like it. That's why I wrote, I wasn't sure whether this
should be applied.

In the buildroot project (it consists of Makefiles) there a lots of
those workarounds. There was a patch on the list to replace all
$(strip $(subst ",,$(FOO))) with $(call strip_dquotes, $(FOO)), but
$(call) is not allowed in git for compatibility reasons.

Markus